PatchTableFactory::Options Struct Reference

Public Types | Public Member Functions | Public Attributes | List of all members
PatchTableFactory::Options Struct Reference

Public options for the PatchTable factory. More...

`#include <patchTableFactory.h>`

## Public Types
enum | EndCapType { ENDCAP_NONE = 0, ENDCAP_BILINEAR_BASIS, ENDCAP_BSPLINE_BASIS, ENDCAP_GREGORY_BASIS, ENDCAP_LEGACY_GREGORY }

## Public Member Functions
| Options (unsigned int maxIsolation=10)
EndCapType | GetEndCapType () const
| Get endcap patch type. More...
void | SetEndCapType (EndCapType e)
| Set endcap patch type. More...

## Public Attributes
unsigned int | generateAllLevels: 1
| Include levels from 'firstLevel' to 'maxLevel' (Uniform mode only) More...
unsigned int | triangulateQuads: 1
| Triangulate 'QUADS' primitives (Uniform mode only) More...
unsigned int | useSingleCreasePatch: 1
| Use single crease patch. More...
unsigned int | useInfSharpPatch: 1
| Use infinitely-sharp patch. More...
unsigned int | maxIsolationLevel: 4
| Cap adaptive feature isolation to the given level (max. 10) More...
unsigned int | endCapType: 3
| EndCapType. More...
unsigned int | shareEndCapPatchPoints: 1
unsigned int | generateFVarTables: 1
| Generate face-varying patch tables. More...
unsigned int | generateFVarLegacyLinearPatches: 1
| Generate all linear face-varying patches (legacy) More...
unsigned int | generateLegacySharpCornerPatches: 1
| Generate sharp regular patches at smooth corners (legacy) More...
int | numFVarChannels
| Number of channel indices and interpolation modes passed. More...
int const * | fvarChannelIndices
| List containing the indices of the channels selected for the factory. More...

## Detailed Description

Public options for the PatchTable factory.

Definition at line 47 of file patchTableFactory.h.

## Member Enumeration Documentation

## ◆ EndCapType

enum EndCapType

Enumerator
ENDCAP_NONE | no endcap
ENDCAP_BILINEAR_BASIS | use bilinear quads (4 cp) as end-caps
ENDCAP_BSPLINE_BASIS | use BSpline basis patches (16 cp) as end-caps
ENDCAP_GREGORY_BASIS | use Gregory basis patches (20 cp) as end-caps
ENDCAP_LEGACY_GREGORY | use legacy (2.x) Gregory patches (4 cp + valence table) as end-caps

Definition at line 49 of file patchTableFactory.h.

## Constructor & Destructor Documentation

## ◆ Options()

Options | ( | unsigned int | maxIsolation = `10` | ) |
| inline

Definition at line 57 of file patchTableFactory.h.

## Member Function Documentation

## ◆ GetEndCapType()

EndCapType GetEndCapType | ( |  | ) | const
| inline

Get endcap patch type.

Definition at line 73 of file patchTableFactory.h.

## ◆ SetEndCapType()

void SetEndCapType | ( | EndCapType | e | ) |
| inline

Set endcap patch type.

Definition at line 76 of file patchTableFactory.h.

## Member Data Documentation

## ◆ endCapType

unsigned int endCapType

EndCapType.

Definition at line 78 of file patchTableFactory.h.

## ◆ fvarChannelIndices

int const* fvarChannelIndices

List containing the indices of the channels selected for the factory.

Definition at line 97 of file patchTableFactory.h.

## ◆ generateAllLevels

unsigned int generateAllLevels

Include levels from 'firstLevel' to 'maxLevel' (Uniform mode only)

Definition at line 78 of file patchTableFactory.h.

## ◆ generateFVarLegacyLinearPatches

unsigned int generateFVarLegacyLinearPatches

Generate all linear face-varying patches (legacy)

Definition at line 78 of file patchTableFactory.h.

## ◆ generateFVarTables

unsigned int generateFVarTables

Generate face-varying patch tables.

Definition at line 78 of file patchTableFactory.h.

## ◆ generateLegacySharpCornerPatches

unsigned int generateLegacySharpCornerPatches

Generate sharp regular patches at smooth corners (legacy)

Definition at line 78 of file patchTableFactory.h.

## ◆ maxIsolationLevel

unsigned int maxIsolationLevel

Cap adaptive feature isolation to the given level (max. 10)

Definition at line 78 of file patchTableFactory.h.

## ◆ numFVarChannels

int numFVarChannels

Number of channel indices and interpolation modes passed.

Definition at line 96 of file patchTableFactory.h.

## ◆ shareEndCapPatchPoints

unsigned int shareEndCapPatchPoints

Share endcap patch points among adjacent endcap patches. currently only work with GregoryBasis.

Definition at line 78 of file patchTableFactory.h.

## ◆ triangulateQuads

unsigned int triangulateQuads

Triangulate 'QUADS' primitives (Uniform mode only)

Definition at line 78 of file patchTableFactory.h.

## ◆ useInfSharpPatch

unsigned int useInfSharpPatch

Use infinitely-sharp patch.

Definition at line 78 of file patchTableFactory.h.

## ◆ useSingleCreasePatch

unsigned int useSingleCreasePatch

Use single crease patch.

Definition at line 78 of file patchTableFactory.h.

The documentation for this struct was generated from the following file:

- opensubdiv/far/patchTableFactory.h